Show / Hide Table of Contents

# Class OpenIddictServerHandlers.ValidateGrantTypePermissions

Contains the logic responsible of rejecting authorization requests made by unauthorized applications. Note: this handler is not used when the degraded mode is enabled or when grant type permissions are disabled.

##### Inheritance

System.Object
OpenIddictServerHandlers.ValidateGrantTypePermissions

##### Implements

IOpenIddictServerHandler<ValidateAuthorizationRequestContext>
IOpenIddictServerHandler<ValidateTokenRequestContext>
IOpenIddictServerHandler<ValidateDeviceRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateGrantTypePermissions : IOpenIddictServerHandler<ValidateAuthorizationRequestContext>, IOpenIddictServerHandler<ValidateTokenRequestContext>, IOpenIddictServerHandler<ValidateDeviceRequestContext>

### Constructors

#### ValidateGrantTypePermissions()

##### Declaration

    public ValidateGrantTypePermissions()

#### ValidateGrantTypePermissions()

##### Declaration

    public ValidateGrantTypePermissions()

#### ValidateGrantTypePermissions()

##### Declaration

    public ValidateGrantTypePermissions()

#### ValidateGrantTypePermissions(IOpenIddictApplicationManager)

##### Declaration

    public ValidateGrantTypePermissions(IOpenIddictApplicationManager applicationManager)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictApplicationManager | applicationManager |

#### ValidateGrantTypePermissions(IOpenIddictApplicationManager)

##### Declaration

    public ValidateGrantTypePermissions(IOpenIddictApplicationManager applicationManager)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictApplicationManager | applicationManager |

#### ValidateGrantTypePermissions(IOpenIddictApplicationManager)

##### Declaration

    public ValidateGrantTypePermissions(IOpenIddictApplicationManager applicationManager)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictApplicationManager | applicationManager |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(ValidateAuthorizationRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ValidateAuthorizationRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ValidateAuthorizationRequestContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

#### HandleAsync(ValidateDeviceRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ValidateDeviceRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ValidateDeviceRequestContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

#### HandleAsync(ValidateTokenRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(ValidateTokenRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
ValidateTokenRequestContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>
IOpenIddictServerHandler<TContext>
IOpenIddictServerHandler<TContext>